﻿@using Microsoft.AspNet.Identity
@if (Request.IsAuthenticated)
{
    using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-nav right" }))
    {
    @Html.AntiForgeryToken()

    <ul class="navbar-nav mr-auto">
        <li>
    @*@{
        Kasutaja kasutaja = Kasutaja.ByEmail(User.Identity.Name);
        if (kasutaja == null)
        {
        <li>@Html.ActionLink("Hello " + User.Identity.GetUserName() + "!", "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage" })</li>
        }
        else
        {
            <li>@Html.ActionLink("Tere " + kasutaja.Nimi + "!", "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage" })</li>
        }
    }*@
           

        <li><a href="javascript:document.getElementById('logoutForm').submit()">Log off</a></li>
    </ul>
    }
}
else
{
    <ul class="navbar-nav right">
        @*<li>@Html.ActionLink("Register", "Register", "Account", routeValues: null, htmlAttributes: new { id = "registerLink" })</li>*@
        <li>@Html.ActionLink("Log in", "Login", "Account", routeValues: null, htmlAttributes: new { id = "loginLink" })</li>
    </ul>
}
